Page MenuHomePhabricator

Please enable DynamicPageList on bd.wikimedia.org
Closed, ResolvedPublic

Description

Hi, Please enable DynamicPageList on Wikimedia Bangladesh's chapter wiki. We use the above site exclusively for documentation and event-related purposes. We need the extension for showing the most recent events on the main page. Thanks.

Update:
Chapter policy: https://bd.wikimedia.org/s/yg

Details

Related Gerrit Patches:
operations/mediawiki-config : masterEnable DynamicPageList extension on bdwikimedia

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptFeb 23 2018, 4:26 PM
NahidSultan triaged this task as Normal priority.Feb 23 2018, 4:27 PM
Aklapper changed the task status from Open to Stalled.Feb 23 2018, 4:50 PM
Aklapper raised the priority of this task from Normal to Needs Triage.

@NahidSultan: Do you plan to work on this, or why did you prioritize this task ?

Note that DPL is not being deployed to more WMF wikis. See T14423. Hence setting task status to stalled and resetting priority.

@NahidSultan: Do you plan to work on this, or why did you prioritize this task ?
Note that DPL is not being deployed to more WMF wikis. See T14423. Hence setting task status to stalled and resetting priority.

I'm sorry. I didn't know that the reporter shouldn't prioritize the task. In fact, I thought that every task should be in a normal state that's why I changed it. My bad.

No worries! :)

Framawiki claimed this task.EditedFeb 24 2018, 5:24 PM
Framawiki triaged this task as Normal priority.
Framawiki added a subscriber: Framawiki.

Hello @NahidSultan !

Usually it exists in local wikimedia wikis hosted by the WMF a local Project:Mediawiki Extension Policy page, like this one on sewikimedia. It's useful for us, devs, to quickly verify that requested changes on phab are ok to be done. As I can see you're a bureaucrat on this wiki, but if you can create this page, it can be cool (or I missed it ?). Thanks ! :)

Secondly, note that the extension that we'll activate is https://www.mediawiki.org/wiki/Extension:DynamicPageList_(Wikimedia).

(and normal prio looks a good choice for me)

Change 414109 had a related patch set uploaded (by Framawiki; owner: Framawiki):
[operations/mediawiki-config@master] Enable DynamicPageList extension on bdwikimedia

https://gerrit.wikimedia.org/r/414109

NahidSultan updated the task description. (Show Details)Feb 25 2018, 7:14 AM

Hello @NahidSultan !
Usually it exists in local wikimedia wikis hosted by the WMF a local Project:Mediawiki Extension Policy page, like this one on sewikimedia. It's useful for us, devs, to quickly verify that requested changes on phab are ok to be done. As I can see you're a bureaucrat on this wiki, but if you can create this page, it can be cool (or I missed it ?). Thanks ! :)
Secondly, note that the extension that we'll activate is https://www.mediawiki.org/wiki/Extension:DynamicPageList_(Wikimedia).
(and normal prio looks a good choice for me)

There was no formal policy. Thanks to you, I've now created one and notified the Team :) Also added the policy page to the description of this task.

Change 414109 had a related patch set uploaded (by Framawiki; owner: Framawiki):
[operations/mediawiki-config@master] Enable DynamicPageList extension on bdwikimedia

@Framawiki: I might miss something here... How does this go along with T188109#3996683?

Framawiki removed Framawiki as the assignee of this task.Mar 1 2018, 6:04 PM
Framawiki raised the priority of this task from Normal to Needs Triage.

@Framawiki: I might miss something here... How does this go along with T188109#3996683?

Damn, I skipped a paragraph when I read your comment. At least there's a patch ready...
Please excuse me @Aklapper , I'd better get into the habit of rereading myself before posting comments.

@Framawiki: No worries! :) I also often enough miss some parts...

Change 414109 merged by jenkins-bot:
[operations/mediawiki-config@master] Enable DynamicPageList extension on bdwikimedia

https://gerrit.wikimedia.org/r/414109

Zoranzoki21 closed this task as Resolved.Sep 28 2018, 10:10 PM
Zoranzoki21 assigned this task to Framawiki.
Zoranzoki21 added a subscriber: Zoranzoki21.

Per this page, I see to DynamicPageList is enabled on bd.wikimedia, so I closing this task as resolved.

Urbanecm added subscribers: Reedy, Urbanecm.EditedSep 29 2018, 8:00 PM

@Reedy Can I ask for more detaisl about why this patch was merged when T14423 states further deployments of DPL are blocked on T124841, which is not resolved? Maybe we can continue with deployment of DPL to small wikis or to wikis that met other conditions than size. I think this should be marked somewhere on Phabricator, so others can read it and respect the rules. As you merged the patch, I'm pinging you.